aboutsummaryrefslogtreecommitdiffstats
path: root/main/squid
diff options
context:
space:
mode:
Diffstat (limited to 'main/squid')
-rw-r--r--main/squid/APKBUILD14
-rw-r--r--main/squid/squid-2-heimdal.patch18
2 files changed, 30 insertions, 2 deletions
diff --git a/main/squid/APKBUILD b/main/squid/APKBUILD
index fa13a0ab52..e0f6582fee 100644
--- a/main/squid/APKBUILD
+++ b/main/squid/APKBUILD
@@ -3,7 +3,7 @@
pkgname=squid
pkgver=2.7.7
_ver=2.7.STABLE7
-pkgrel=2
+pkgrel=3
pkgdesc="A full-featured Web proxy cache server."
url="http://www.squid-cache.org"
install="squid.pre-install squid.pre-upgrade squid.post-install"
@@ -11,8 +11,9 @@ pkgusers="squid"
pkggroups="squid"
license="GPL-2"
depends="$pkgname-errors-english logrotate"
-makedepends="openssl-dev perl-dev autoconf automake"
+makedepends="openssl-dev perl-dev autoconf automake heimdal-dev"
subpackages="$pkgname-doc
+ squid_kerb_auth
$pkgname-errors-armenian:errors_armenian
$pkgname-errors-azerbaijani:errors_azerbaijani
$pkgname-errors-bulgarian:errors_bulgarian
@@ -52,6 +53,7 @@ source="http://www.squid-cache.org/Versions/v2/2.7/${pkgname}-${_ver}.tar.bz2
squid.initd
squid.confd
squid-2.7-gentoo.patch
+ squid-2-heimdal.patch
squid-2.7-ims-content-type.patch
$pkgname.logrotate
"
@@ -63,6 +65,7 @@ build() {
patch -p1 -i "$srcdir"/squid-2.7-gentoo.patch || return 1
patch -p1 -i "$srcdir"/squid-2.7-ims-content-type.patch || return 1
+ patch -p1 -i "$srcdir"/squid-2-heimdal.patch || return 1
touch NEWS AUTHORS
aclocal && autoconf && automake -a || return 1
@@ -77,6 +80,7 @@ build() {
--enable-basic-auth-helpers="getpwnam,NCSA,SMB,MSNT,multi-domain-NTLM,squid_radius_auth" \
--enable-external-acl-helpers="ip_user,unix_group,wbinfo_group" \
--enable-ntlm-auth-helpers="SMB,fakeauth,no_check" \
+ --enable-negotiate-auth-helpers="squid_kerb_auth" \
--enable-delay-pools --enable-arp-acl --enable-ssl \
--enable-linux-netfilter --enable-ident-lookups \
--enable-useragent-log --enable-cache-digests --enable-referer-log \
@@ -100,6 +104,11 @@ build() {
chmod +x "$pkgdir"/usr/lib/squid/*
}
+squid_kerb_auth() {
+ pkgdesc="Squid kerberos authetication helper"
+ install -d "$subpkgdir"/usr/lib/squid
+ mv "$pkgdir"/usr/lib/squid/squid_kerb_auth "$subpkgdir"/usr/lib/squid/
+}
_mv_error() {
local d=usr/share/squid/errors
@@ -285,5 +294,6 @@ md5sums="c18b0371fca813d5e7c7e0baf87baa22 squid-2.7.STABLE7.tar.bz2
57fed05adc40acab6a5480ec7a014154 squid.initd
44b052db7910f386ef88ddcf69c9ba4e squid.confd
3827f71d940b47eb385a1a1d92a51d66 squid-2.7-gentoo.patch
+614b97126ad9eecf728095f2de63d33d squid-2-heimdal.patch
549377b5a6b673bf19ea6c34003d122c squid-2.7-ims-content-type.patch
58823e0b86bc2dc71d270208b7b284b4 squid.logrotate"
diff --git a/main/squid/squid-2-heimdal.patch b/main/squid/squid-2-heimdal.patch
new file mode 100644
index 0000000000..67500ae6a8
--- /dev/null
+++ b/main/squid/squid-2-heimdal.patch
@@ -0,0 +1,18 @@
+diff -Nru squid-2.7.STABLE6.orig/helpers/negotiate_auth/squid_kerb_auth/Makefile.am squid-2.7.STABLE6/helpers/negotiate_auth/squid_kerb_auth/Makefile.am
+--- squid-2.7.STABLE6.orig/helpers/negotiate_auth/squid_kerb_auth/Makefile.am 2007-05-14 23:36:29.000000000 +0000
++++ squid-2.7.STABLE6/helpers/negotiate_auth/squid_kerb_auth/Makefile.am 2009-02-16 23:26:28.000000000 +0000
+@@ -18,10 +18,10 @@
+ #-L$(top_builddir)/lib -lmiscutil $(XTRA_LIBS)
+
+ # HEIMDAL
+-#KERBINC = -DHEIMDAL -I/usr/include/heimdal
+-#KERBLIBS = -lgssapi -lkrb5 -lcom_err -lasn1 -lroken
++KERBINC = -DHEIMDAL -I/usr/include/heimdal
++KERBLIBS = -lgssapi -lkrb5 -lcom_err -lasn1 -lroken
+
+ # MIT
+-KERBINC =
+-KERBLIBS = -lgssapi_krb5 -lkrb5 -lcom_err
++#KERBINC =
++#KERBLIBS = -lgssapi_krb5 -lkrb5 -lcom_err
+